package com.pj.api.dto;


import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 银行报文数据(一级市场)
 * @author lbl
 */
@Data
public class PaymentDto implements Serializable {
	/**
	 * 通道代码
	 */
	private String channelNo;
	/**
	 * 申报编号
	 */
	private String trans;

	private Long id;

	/**
	 * 航通主键
	 */
	private String platSeqNo;

	/**
	 * 申报单编号
	 */
	private String declareId;

	/**
	 * 1-边民，2-商铺业主或其代理人，3-合作社代表，4-互助组代表
	 */
	private String declareType;

	/**
	 * 申报人姓名
	 */
	private String declareName;

	/**
	 * 身份证号码
	 */
	private String idno;

	/**
	 * 商铺编码
	 */
	private String shopNo;


	/**
	 * 商铺名称
	 */
	private String shopName;

	/**
	 * 申报人类别为3、4 时互助组/合作社备案编号
	 */
	private String orgPutrecNo;

	/**
	 * 申报人类别为3、4 时互助组/合租社名称
	 */
	private String orgName;

	/**
	 * 申报人类别为4 时边民合作社社会统一信用代码
	 */
	private String orgScc;

	/**
	 *  运输工具名称
	 */
	private String veNo;

	/**
	 * 业务模式, 进出口标志为进口时，01 区内交易、02 落地加工、03 原装提离。进出口标 志 为 出 口时，04：直接出口，05：出口销售。
	 */
	private String btrnbBizModecd;

	/**
	 * 商品流向, 进出口标志为进口时，必填，01-二次销售；02-生活自用；03-落地加工；
	 */
	private String gFlow;

	/**
	 * 进出口标志：I进口 E 出口
	 */
	private String iEFlag;

	/**
	 * 监管场所编号
	 */
	private String fieldCode;

	/**
	 * 监管场所名称
	 */
	private String fieldName;

	/**
	 * 申报口岸代码
	 */
	private String customsCode;

	/**
	 * 1-是、0-否
	 */
	private String carPool;

	/**
	 * 总金额（交易结算单006总金额）
	 */
	private Double sumAmt;

	/**
	 * 总毛重
	 */
	private Double sumGrossWt;

	/**
	 * 总净重
	 */
	private Double sumNetWt;

	/**
	 * 运输方式
	 */
	private String trafMode;

	/**
	 * 币制
	 */
	private String currCode;

	/**
	 * 件数，正整数
	 */
	private Long packNo;

	/**
	 * 申 报 时 间 ：yyyy-MM-dd HH:mm:ss
	 */
	private String declTime;

	/**
	 * 提运单号
	 */
	private String billNo;

	/**
	 * 运输工具航次(班)号
	 */
	private String voyageNo;

	/**
	 * 商品名称，多个用英文逗号分割
	 */
	private String goodsNames;





	/**
	 * 订单编号
	 */
	private String tradeNo;

	/**
	 * 一级市场边民订单金额
	 */
	private BigDecimal totalPrice=BigDecimal.ZERO;

	/**
	 * 二级市场转售总金额
	 */
	private BigDecimal resalePrice=BigDecimal.ZERO;

	//边民姓名
	private String borderName;
	//证件类型
	private String papersType;
	//边民证件号
	private String borderidno;
	//国籍
	private String borderNationality;
	//银行账号
	private String bankCode;
	//银行名称
	private String bankName;
	//银行代码
	private String bankNo;
	//联系电话
	private String borderTel;

	//商铺所属人姓名
	private String ownerName;
	//商铺所属人证件类型(01：身份证 02 护照)
	private String ownerIdtype;
	//商铺所属人证件号
	private String shopSccd;
	//商铺国籍
	private String nationality;
	//商铺银行账号
	private String bankAccount;
	//商铺开户行代码
	private String bank;
	//商铺联系电话
	private String ownerTel;

	//商品编码
	private String codeTs;
	//商品名称
	private String goodsName;
	//商品单位
	private String goodsUnit;
	//商品单价
	private Double declPrice;
	//商品数量
	private Double buyQty;
	//商品重量(毛重)
	private Double grossWt;
	//商品重量(净重)
	private Double netWt;

	private String tradeNos;


}
