package com.pj.tb_wallet_record;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_wallet_record -- 服务点交易记录
 * @author plj 
 */
@Data
@Accessors(chain = true)
@TableName(TbWalletRecord.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbWalletRecord extends Model<TbWalletRecord> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_wallet_record";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-wallet-record";
	public static final String PERMISSION_CODE_ADD = "tb-wallet-record-add";
	public static final String PERMISSION_CODE_EDIT = "tb-wallet-record-edit";
	public static final String PERMISSION_CODE_DEL = "tb-wallet-record-del";




	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 边民id 
	 */
	private String peopleId;
	/**
	 * 边民
	 */
	private String peopleName;
	/**
	 * 车牌
	 */
	private String veNo;

	/**
	 * 交易前点数 
	 */
	private double beforeAmount;

	/**
	 * 交易后点数 
	 */
	private double afterAmount;

	/**
	 * 交易扣除点数 
	 */
	private String amount;

	/**
	 * 关联订单号主键
	 */
	private Long orderId;
	/**
	 * 关联订单号 
	 */
	private String tradeNo;	

	/**
	 * 关联商品id 
	 */
	private Long goodsId;	

	/**
	 * 关联商品名称 
	 */
	private String goodsNames;	

	/**
	 * 扣除时间 
	 */
	private Date recordTime;

	/**
	 * 创建人编号 
	 */
	private String createBy;	

	/**
	 * 创建人名称 
	 */
	private String createName;	

	/**
	 * 创建时间 
	 */
	private Date createTime;

	/**
	 * 更新人编号 
	 */
	private String updateBy;	

	/**
	 * 更新人名称 
	 */
	private String updateName;	

	/**
	 * 更新时间 
	 */
	private Date updateTime;

	/**
	 * 删除状态(0=禁用,1=启用) 
	 */
	private Integer deleteStatus;


}
