package com.pj.tb_wallet_record;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * wxpay pay properties.
 * @author plj
 */
@Data
@ConfigurationProperties(prefix = "wx")
public class WxPayProperties {
  /**
   * 设置微信公众号或者小程序等的appid
   */
  private String appId;

  /**
   * 微信支付商户号
   */
  private String mchId;
  /**
   * 证书序列号
   */
  private String serialNumber;

  /**
   * 微信支付商户密钥
   */
  private String mchKey;

  /**
   * 交易类型 JSAPI、APP
   */
  private String tradeType;

  /**
   * APIv3密钥
   */
  private String apiV3Key;

  /**
   * apiclient_cert.p12文件的绝对路径，或者如果放在项目中，请以classpath:开头指定
   */
  private String keyPath;

  private String goodsDescription;

  /**
   * 支付回调地址
   */
  private String notifyUrl;
}
