package com.pj.tb_wallet_topdown;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_wallet_topdown -- 服务点提现记录
 * @author plj 
 */
@Data
@Accessors(chain = true)
@TableName(TbWalletTopdown.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbWalletTopdown extends Model<TbWalletTopdown> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_wallet_topdown";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-wallet-topdown";
	public static final String PERMISSION_CODE_ADD = "tb-wallet-topdown-add";
	public static final String PERMISSION_CODE_EDIT = "tb-wallet-topdown-edit";
	public static final String PERMISSION_CODE_DEL = "tb-wallet-topdown-del";




	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	@TableId(type = IdType.AUTO)
	private Long id;	

	/**
	 * 边民id 
	 */
	private String peopleId;	

	/**
	 * 商户号 
	 */
	private String mchid;	

	/**
	 * 商户系统内部订单号 
	 */
	private String outTradeNo;	
	private String refundOutTradeNo;

	/**
	 * 微信支付系统生成的订单号 
	 */
	private String transactionId;

	/**
	 * 商品名称
	 */
	private String goodsName;

	/**
	 * 提现金额 
	 */
	private String amount;	

	/**
	 * 提现时间 
	 */
	private Date topdownTime;

	/**
	 * 创建时间 
	 */
	private Date createTime;

	/**
	 * 创建人编号 
	 */
	private String createBy;	

	/**
	 * 创建人名称 
	 */
	private String createName;	

	/**
	 * 更新时间 
	 */
	private Date updateTime;

	/**
	 * 更新人编号 
	 */
	private String updateBy;	

	/**
	 * 更新人名称 
	 */
	private String updateName;	

	/**
	 * 支付状态(0=未支付,1=支付中,2=已支付)
	 */
	private Integer payStatus;


}
