package com.pj.tb_wallet_topdown;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.tb_wallet_topdown.vo.WalletTopdownVo;
/**
 * Service: tb_wallet_topdown -- 服务点提现记录
 * @author plj 
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class TbWalletTopdownService extends ServiceImpl<TbWalletTopdownMapper, TbWalletTopdown> implements IService<TbWalletTopdown>{

	/** 底层 Mapper 对象 */
	@Autowired
	TbWalletTopdownMapper tbWalletTopdownMapper;

	/** 增 */
	void add(TbWalletTopdown t){
		save(t);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(TbWalletTopdown t){
		updateById(t);

	}

	/** 查 */
	TbWalletTopdown getById(Long id){
		List<WalletTopdownVo> listObj=tbWalletTopdownMapper.getList(new SoMap().set("id",id));
		if(listObj!=null && listObj.size()>0) {
			return listObj.get(0);
		}else {
			return  null;
		}
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	List<WalletTopdownVo> getList(SoMap so) { 
		return tbWalletTopdownMapper.getList(so);	
	}
	

}
