package com.pj.tb_wallet_topup;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.pj.tb_order.TbOrder;
import com.pj.tb_wallet_topup.vo.ValletTopupVo;

import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Mapper: tb_wallet_topup -- 服务点充值记录
 *
 * @author plj
 */

@Mapper
@Repository
public interface TbWalletTopupMapper extends BaseMapper<TbWalletTopup> {


    /**
     * 查集合 - 根据条件（参数为空时代表忽略指定条件）
     *
     * @param so 参数集合
     * @return 数据列表
     */
    List<ValletTopupVo> getList(SoMap so);


    default TbWalletTopup findByOutTradeNo(String outTradeNo) {
        QueryWrapper<TbWalletTopup> ew = new QueryWrapper<>();
        ew.lambda().eq(TbWalletTopup::getOutTradeNo, outTradeNo);
        return selectOne(ew);
    }

    default TbWalletTopup getByPrePayId(String prePayId) {
        QueryWrapper<TbWalletTopup> ew = new QueryWrapper<>();
        ew.lambda().eq(TbWalletTopup::getPrepayid, prePayId);
        return selectOne(ew);
    }

    void cancelTopup(@Param("outTradeNo") String outTradeNo);

    Integer getSum();
}
