package com.pj.tb_wallet_topup.task;

import cn.hutool.core.util.StrUtil;
import com.pj.tb_wallet_record.TbWalletRecordService;
import com.pj.tb_wallet_record.WxPayProperties;
import com.pj.tb_wallet_topup.TbWalletTopupService;
import com.pj.utils.cache.RedisUtil;
import com.wechat.pay.java.service.payments.app.AppServiceExtension;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

@Component
@Slf4j
public class QueryPayTask {
    @Resource
    private WxPayProperties wxPayProperties;
    @Resource
    private TbWalletTopupService tbWalletTopupService;

    @Scheduled(cron = "0/5 * * * * ?")  //每3秒执行一次
    public void query() {
        String key = wxPayProperties.getMchId() + "-" + wxPayProperties.getAppId();
        List<Object> list = RedisUtil.forListGet(key);
        for (Object tradeObj : list) {
            String tradeNo = tradeObj.toString();
            tbWalletTopupService.handlerTopup(tradeNo);
        }
    }
}
